#include "SurvivorExposerInstance.h"
#include "EExposerInstanceAreaLocation.h"
#include "Net/UnrealNetwork.h"

void ASurvivorExposerInstance::StartSpawnSequence_Implementation(bool withRandomDelay)
{

}

void ASurvivorExposerInstance::StartExitSequence_Implementation(bool withRandomDelay)
{

}

void ASurvivorExposerInstance::OnRep_OnAreaLocationChanged(EExposerInstanceAreaLocation oldValue)
{

}

void ASurvivorExposerInstance::OnRep_AggravationLevel()
{

}

EExposerInstanceAreaLocation ASurvivorExposerInstance::GetAreaLocation() const
{
	return EExposerInstanceAreaLocation::Undefined;
}

void ASurvivorExposerInstance::ExitSequenceComplete()
{

}

void ASurvivorExposerInstance::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ASurvivorExposerInstance, _areaLocation);
	DOREPLIFETIME(ASurvivorExposerInstance, _aggravationLevel);
}

ASurvivorExposerInstance::ASurvivorExposerInstance()
{
	this->_areaLocation = EExposerInstanceAreaLocation::Undefined;
	this->_audioAggravationLevelRtpc = TEXT("");
	this->_aggravationLevel = 0.000000;
}
